Page MenuHomePhabricator

Release Engineering Data Map
Closed, DeclinedPublic1 Story Points

Description

  • Map out all the datasets used by the Release Engineering team including datasets "in transit" (e.g. data in Kafka)
  • Draft data access guidelines

Hi!

Staff from various teams have asked for a clear set of rules to follow for how to handle personally identifiable information. So Legal & Security want to harmonize access policies and practices among WMF staff as much as possible for personally identifiable information. We have a data retention policy, an access policy for community members, and ask people from outside WMF to sign an NDA, but our staff access practices vary across teams, and we don't have a comprehensive idea of where data sits or how it flows through WMF.

First, the data map: We'd like to know what personal data WMF collects and uses. So we're asking teams to fill out a spreadsheet about the data sets that they use and have control over. To give a sense of the level of granularity, here are examples that Editing and Discovery are currently filling out. The idea is to take the info from each team to create a single data map that all staff can easily refer to.

Second, a staff access policy: Last year, Discovery drafted a Data Access Guide. We'd like to use that as a starting point for other teams to tailor to their own needs, since some teams handle a lot more personal data than others. But having too many people work off one Google Doc is messy. So please make your comments, edits, and suggestions to the draft provided here, and we'll consolidate them. Eventually, each team can decide whether it's better to adopt a general guide, or to draft one more specific to their needs.

Finally, as to timing, the idea is to have all teams take a first pass at filling out the spreadsheets by the end of May.

Links:

MapSpeadsheet
Data Access GuidelinesDocument

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2016, 11:35 PM
SPong updated the task description. (Show Details)Apr 29 2016, 6:40 PM
SPong added a subscriber: SPong.
greg added a subscriber: greg.May 12 2016, 11:04 PM
greg renamed this task from Release Eng Data Map to Release Engineering Data Map.May 13 2016, 6:17 PM
greg added a project: Release-Engineering-Team.
greg triaged this task as Normal priority.May 13 2016, 6:19 PM
greg moved this task from INBOX to Next on the Release-Engineering-Team board.
greg moved this task from Backlog to In Progress on the User-greg board.
greg updated the task description. (Show Details)May 31 2016, 3:25 PM
greg added a comment.May 31 2016, 4:29 PM

Spreadsheet initial pass done.

greg changed the task status from Open to Stalled.Jun 13 2016, 4:53 PM
chasemp closed this task as Declined.Sep 4 2018, 3:31 PM
chasemp added a subscriber: chasemp.

Based on age and activity I'm closing, please reopen if that is incorrect :)